# Fetching a list of Organization Memberships

This endpoint returns structured Organization Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organization_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /organization_memberships
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `department_id` (integer)
    Returns only organization memberships with the specified department ID.

  - `geography_id` (integer)
    Returns only organization memberships with the specified geography ID.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- department (Organization) - The department of the associated member.
- geography (Organization) - The geography of the associated member.

  - `member_id` (integer)
    Returns only organization memberships with the specified member ID.

  - `member_type` (string)
    Returns only organization memberships with the specified member type (user or workspace).

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `page` (integer)

  - `per_page` (integer)

  - `primary` (boolean)
    Return only the organization membership that is set as the primary for the object (true) or only the organization memberships that
are not the primary (false). This filter requires the primary organization feature.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `organization_memberships` (object)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


